fork of https://github.com/sourcegraph/zoekt
0

Configure Feed

Select the types of activity you want to include in your feed.

inline ctags alpine script (#803)

Remove the dependency on the sourcegraph monorepo

+43 -5
+43 -5
install-ctags-alpine.sh
··· 1 1 #!/bin/sh 2 + 3 + # This script installs universal-ctags within an alpine container. 4 + 5 + # Commit hash of github.com/universal-ctags/ctags. 6 + # Last bumped 2023-10-24. 7 + CTAGS_VERSION=v6.0.0 8 + CTAGS_ARCHIVE_TOP_LEVEL_DIR=ctags-6.0.0 9 + # When using commits you can rely on 10 + # CTAGS_ARCHIVE_TOP_LEVEL_DIR=ctags-$CTAGS_VERSION 11 + 12 + cleanup() { 13 + apk --no-cache --purge del ctags-build-deps || true 14 + cd / 15 + rm -rf /tmp/ctags-$CTAGS_VERSION 16 + } 17 + 18 + trap cleanup EXIT 19 + 2 20 set -eux 3 - # shellcheck disable=SC3040 4 - set -o pipefail || true 5 - # Commit from 2023-10-24. Please always pick a commit from the main branch. 6 - export SOURCEGRAPH_COMMIT=45a6748bb491513b9e1162d888711ca9b3bb4303 7 - wget -O - https://raw.githubusercontent.com/sourcegraph/sourcegraph/$SOURCEGRAPH_COMMIT/cmd/symbols/ctags-install-alpine.sh | sh 21 + 22 + apk --no-cache add \ 23 + --virtual ctags-build-deps \ 24 + autoconf \ 25 + automake \ 26 + binutils \ 27 + curl \ 28 + g++ \ 29 + gcc \ 30 + jansson-dev \ 31 + make \ 32 + pkgconfig 33 + 34 + # ctags is dynamically linked against jansson 35 + apk --no-cache add jansson 36 + 37 + NUMCPUS=$(grep -c '^processor' /proc/cpuinfo) 38 + 39 + # Installation 40 + curl --retry 5 "https://codeload.github.com/universal-ctags/ctags/tar.gz/$CTAGS_VERSION" | tar xz -C /tmp 41 + cd /tmp/$CTAGS_ARCHIVE_TOP_LEVEL_DIR 42 + ./autogen.sh 43 + ./configure --program-prefix=universal- --enable-json 44 + make -j"$NUMCPUS" --load-average="$NUMCPUS" 45 + make install